> ## Documentation Index
> Fetch the complete documentation index at: https://docs.brume.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Runs

> Get all the run job requests



## OpenAPI

````yaml api-reference/agent/agent-openapi.yml get /v1/run
openapi: 3.0.3
info:
  title: Brume Agent API
  description: >-
    The API a Brume agent expect and will calls when interacting with Brume
    Orchestrator.
  version: '1.0'
servers:
  - url: https://api.brume.dev/v1
security:
  - ApiKeyAuth: []
paths:
  /v1/run:
    get:
      description: Get all the run jobs
      responses:
        '200':
          description: The list of pending run job requests
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/RunJob'
components:
  schemas:
    RunJob:
      type: object
      properties:
        artifactType:
          type: string
        runId:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: >-
        The software is authentificated with this API key. When creating the API
        key, the software is registering his scope.

````